package com.ruoyi.feeagreement.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.feeagreement.mapper.TFeeAgreementTypeMapper;
import com.ruoyi.feeagreement.domain.TFeeAgreementType;
import com.ruoyi.feeagreement.service.ITFeeAgreementTypeService;

/**
 * 费用协议类型Service业务层处理
 * 
 * @author dongyongwei
 * @date 2021-07-30
 */
@Service
public class TFeeAgreementTypeServiceImpl implements ITFeeAgreementTypeService 
{
    @Autowired
    private TFeeAgreementTypeMapper tFeeAgreementTypeMapper;

    /**
     * 查询费用协议类型
     * 
     * @param fId 费用协议类型ID
     * @return 费用协议类型
     */
    @Override
    public TFeeAgreementType selectTFeeAgreementTypeById(Long fId)
    {
        return tFeeAgreementTypeMapper.selectTFeeAgreementTypeById(fId);
    }

    /**
     * 查询费用协议类型列表
     * 
     * @param tFeeAgreementType 费用协议类型
     * @return 费用协议类型
     */
    @Override
    public List<TFeeAgreementType> selectTFeeAgreementTypeList(TFeeAgreementType tFeeAgreementType)
    {
        return tFeeAgreementTypeMapper.selectTFeeAgreementTypeList(tFeeAgreementType);
    }

    /**
     * 新增费用协议类型
     * 
     * @param tFeeAgreementType 费用协议类型
     * @return 结果
     */
    @Override
    public int insertTFeeAgreementType(TFeeAgreementType tFeeAgreementType)
    {
        return tFeeAgreementTypeMapper.insertTFeeAgreementType(tFeeAgreementType);
    }

    /**
     * 修改费用协议类型
     * 
     * @param tFeeAgreementType 费用协议类型
     * @return 结果
     */
    @Override
    public int updateTFeeAgreementType(TFeeAgreementType tFeeAgreementType)
    {
        return tFeeAgreementTypeMapper.updateTFeeAgreementType(tFeeAgreementType);
    }

    /**
     * 批量删除费用协议类型
     * 
     * @param fIds 需要删除的费用协议类型ID
     * @return 结果
     */
    @Override
    public int deleteTFeeAgreementTypeByIds(Long[] fIds)
    {
        return tFeeAgreementTypeMapper.deleteTFeeAgreementTypeByIds(fIds);
    }

    /**
     * 删除费用协议类型信息
     * 
     * @param fId 费用协议类型ID
     * @return 结果
     */
    @Override
    public int deleteTFeeAgreementTypeById(Long fId)
    {
        return tFeeAgreementTypeMapper.deleteTFeeAgreementTypeById(fId);
    }
}
